# $Revision: 1.21 $, $Date: 2007/02/13 08:06:40 $
%define		_modname	statgrab
%define		_smodname	Statgrab
%define		_status		stable
Summary:	%{_modname} - libstatgrab bindings
Summary(pl.UTF-8):	%{_modname} - dowiązania biblioteki libstatgrab
Name:		php-pecl-%{_modname}
Version:	0.6.0
Release:	2
License:	PHP
Group:		Development/Languages/PHP
Source0:	http://pecl.php.net/get/%{_modname}-%{version}.tgz
# Source0-md5:	5e8e659e28d95da57c3d5a694cfb5af4
URL:		http://pecl.php.net/package/statgrab/
BuildRequires:	libstatgrab-devel >= 0.10
BuildRequires:	php-devel >= 3:5.0.0
BuildRequires:	rpmbuild(macros) >= 1.344
%{?requires_php_extension}
Requires:	php-common >= 4:5.0.4
Obsoletes:	php-pear-%{_modname}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
libstatgrab is a library that provides a common interface for
retrieving a variety of system statistics on a number of *NIX like
systems.

This extension allows you to call the functions made available by
libstatgrab library.

In PECL status of this package is: %{_status}.

%description -l pl.UTF-8
libstatgrab to biblioteka dostarczająca wspólny interfejs do
odczytywania różnych statystyk systemowych na wielu systemach
uniksowych.

To rozszerzenie pozwala wywoływać funkcje udostępniane przez
bibliotekę libstatgrab.

To rozszerzenie ma w PECL status: %{_status}.

%prep
%setup -q -c

%build
cd %{_smodname}-%{version}
phpize
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{php_sysconfdir}/conf.d,%{php_extensiondir}}

install %{_smodname}-%{version}/modules/%{_modname}.so $RPM_BUILD_ROOT%{php_extensiondir}
cat <<'EOF' > $RPM_BUILD_ROOT%{php_sysconfdir}/conf.d/%{_modname}.ini
; Enable %{_modname} extension module
extension=%{_modname}.so
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%post
%php_webserver_restart

%postun
if [ "$1" = 0 ]; then
	%php_webserver_restart
fi

%files
%defattr(644,root,root,755)
%doc %{_smodname}-%{version}/CREDITS
%config(noreplace) %verify(not md5 mtime size) %{php_sysconfdir}/conf.d/%{_modname}.ini
%attr(755,root,root) %{php_extensiondir}/%{_modname}.so

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: php-pecl-statgrab.spec,v $
Revision 1.21  2007/02/13 08:06:40  glen
- tabs in preamble

Revision 1.20  2007/02/12 01:06:25  baggins
- converted to UTF-8

Revision 1.19  2007/01/02 20:10:21  glen
- use new php extension related macros

Revision 1.18  2006/12/13 23:39:02  glen
- rel 2 (php 5.2.0)

Revision 1.17  2006/11/27 22:30:55  adamg
- updated to 0.6.0

Revision 1.16  2006/11/02 23:09:09  glen
- BR rpmmacros for fixed %requires_php_extension

Revision 1.15  2006/04/23 13:47:32  adamg
- updated to 0.5.0

Revision 1.14  2005/12/22 12:12:04  glen
- rel 5 (rebuild with new php)

Revision 1.13  2005/10/30 13:29:27  glen
- rel 4

Revision 1.12  2005/10/29 00:05:14  glen
- rebuild with zts and debug requires

Revision 1.11  2005/09/14 22:35:49  glen
- rel 2

Revision 1.10  2005/09/14 13:37:00  glen
- conf.d and php api macros

Revision 1.9  2005/09/13 21:16:43  glen
- superfluous BR libtool removed

Revision 1.8  2005/09/12 12:36:19  glen
- ./adapter -s

Revision 1.7  2005/04/08 16:46:30  adamg
- updated to 0.4

Revision 1.6  2004/05/30 16:01:29  adamg
- fixed english information about status of the package (also s/PEAR/PECL/)

Revision 1.5  2004/05/23 18:21:49  adamg
- BuildRequires: libstatgrab-devel >= 0.10

Revision 1.4  2004/05/23 18:19:28  adamg
- updated to 0.3

Revision 1.3  2004/03/13 16:27:36  adamg
- updated to 0.2

Revision 1.2  2004/02/15 13:57:36  qboosh
- pl description

Revision 1.1  2004/02/14 14:50:16  adamg
- initial import
